@UTF-8;

@-moz-document url-prefix() {
    html,body{overflow: hidden !important;}
}

/* @-moz-keyframes marquee { */
/*   0% { */
/*     transform: translateX(100%); */
/*   } */
/*   5% { */
/*     transform: translateX(90%); */
/*   } */
/*   100% { */
/*     transform: translateX(-100%); */
/*   } */
/* } */
/* @-webkit-keyframes marquee { */
/*   0% { */
/*     transform: translateX(100%); */
/*   } */
/*   5% { */
/*     transform: translateX(90%); */
/*   } */
/*   100% { */
/*     transform: translateX(-100%); */
/*   } */
/* } */
/* @keyframes marquee { */
/*   0% { */
/*     -moz-transform: translateX(100%); */
/*     -webkit-transform: translateX(100%); */
/*     transform: translateX(100%) */
/*   } */
/*   5% { */
/*     -moz-transform: translateX(90%); */
/*     -webkit-transform: translateX(90%); */
/*     transform: translateX(90%) */
/*   } */
/*   100% { */
/*     -moz-transform: translateX(-100%); */
/*     -webkit-transform: translateX(-100%); */
/*     transform: translateX(-100%); */
/*   } */
/* } */

/* @keyframes marquee { */
/*    0% { */
/*       left: 100%; */
/*    } */
/*    100% { */
/*       left: -100%; */
/*    } */
/* } */

/* @keyframes marquee { */
/*   0% { */
/*     transform: translate(0%, 0); */
/*   } */
/*   100% { */
/*     transform: translate(-100%, 0); */
/*   } */
/* } */

@keyframes marquee {
  0% { transform: translateX(0); }
  100% { transform: translateX(-50%); }
}

@keyframes swap {
  0%, 50% {
    left: 0%;
  }
  50.01%,
  100% {
    left: 100%;
  }
}

#showme {
	width: 100px;
	height: 100px;
	position: absolute;
	top: 0;
	background-color: red;
	display: none;
}
:root {
	--color-update-green: #D6DF52;
	--color-green: #3FCF02;
	--color-red: rgb(223, 82, 82);
	--color-grey: #5D5D5D;
	--color-white: #FFFFFF;
	--color-black: #000000;
	--color-dark-grey: #3B3B3B;
	
	--color-background-body: #FFFFFF;
	--color-background-bar: #39434D;
	--color-background-box: rgba(57, 67, 77,0.5);
	--color-background-trainer: rgba(57, 67, 77,0.75);
	--color-background-box-hover: rgba(57, 67, 77,1);
	--color-text-default: #98A5AE;
	--color-text-green: #61BDAC;
	--color-text-red: #F76499;
	--color-text-dark: #39434D;
	
	--color-alert: rgba(223, 82, 82,1);/*#FF2976;*/
	--color-alert-semi: rgba(223, 82, 82, 0.5);
}

::-webkit-scrollbar {
  width: 2px;
  height: 2px;
  display: none;
}
::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
::-webkit-scrollbar-thumb {
  background: #666666;
  border: 0px none #ffffff;
  border-radius: 50px;
}
::-webkit-scrollbar-thumb:hover {
  background: #666666;
}
::-webkit-scrollbar-thumb:active {
  background: #666666;
}
::-webkit-scrollbar-track {
  background: #FFFFFF;
  border: 0px none #ffffff;
  border-radius: 50px;
}
::-webkit-scrollbar-track:hover {
  background: #FFFFFF;
}
::-webkit-scrollbar-track:active {
  background: #FFFFFF;
}
::-webkit-scrollbar-corner {
  background: transparent;
}

* {
	margin: 0px;
	padding: 0px;
	text-decoration: none;
	outline: none;
	-webkit-tap-highlight-color: rgba(0,0,0,0);
	-webkit-tap-highlight-color: rgba(0,0,0,0);
	-webkit-touch-callout: none;
	-moz-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

var {
	font-style: inherit;
	font-size: inherit !important;
}

*:not(html) {
/*     -webkit-transform: translate3d(0, 0, 0); */
    -webkit-user-select: none;
    user-select: none;
}

body {
	overflow: auto !important;
/*     background-image: url(../img/background.png); */
/*     background-size: cover; */
/*     background-position-x: center; */
/*     background-position-y: center; */
/*     background-repeat: no-repeat; */
    width: 100vw;
    height: 100vh;
    font-family: 'Roboto', sans-serif;
    -webkit-overflow-scrolling: touch;
	background-color: var(--color-background-body);
	color: var(--color-text-default);
}

body * {
	font-size: 20px;
}

.body-container {
/* 	padding-top: 150px; */
	/*padding-bottom: 20vh;*/
	/*height: 60vh;*/
	width: 100vw;
	overflow: auto;
}

body.coach-offline section[data-mode="offline"] {
	display: block;
}

body.coach-online section[data-mode="online"] {
	display: block;
}

body.in-call section[data-mode="online"] {
	display: none;
}

body.in-call section[data-mode="in-call"]{
	display: block;
}


section[data-mode] {
	position: absolute;
	width: 100vw;
	height: 100vh;
	top: 0px;
	left: 0px;
	z-index: 1;
	display: none;
	overflow: hidden;
}

section[data-mode="offline"] {
	/* background-image: url(../img/background_offline.jpg); */
    background-color: var(--color-background-body);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

section[data-mode="online"] {
	/* background-image: url(../img/background_offline.jpg); */
    background-color: var(--color-background-body);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

section[data-mode="trainer"] {
	/* background-image: url(../img/background_offline.jpg); */
    background-color: var(--color-background-body);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

section[data-mode="in-call"] {
    background-color: var(--color-background-body);
}

section[data-id="newsticker"] {
    position: absolute;
/*     width: 100%; */
	width: 99999px;
    height: 100px;
    bottom: 0px;
    left: 0px;
    background-color: #FFFFFFBF;
/*     backdrop-filter: blur(25px); */
/*     -webkit-backdrop-filter: blur(25px); */
    box-shadow: 15px -18px 26px #00000029;
    font-size: 42px;
    color: #FF0000;
    line-height: 100px;
/*     display: none; */
}

section[data-id="newsticker"] * {
	font-size: 42px;
}

section[data-id="trainer-message"] {
    color: var(--color-white);
    font-size: 40px;
    background-color: rgba(0,0,0,0.5);
    padding: 10px;
    position: absolute;
    bottom: 180px;
    left: 50%;
    width: 75%;
    margin: 0px;
    transform: translateX(-50%);
    text-align: center;
    border-radius: 20px;
}

body.live section[data-id="trainer-message"] {
	display: none;
}

body.live section[data-id="trainer-message"].in_call {
	display: block;
}

body.live section[data-id="trainer-message"].in_call p {
	display: none;
}

body.live section[data-id="trainer-message"].in_call p[data-id="trainer_offline"] {
	display: block;
	margin-bottom: 0px;
    font-size: 0px;
}

section[data-id="trainer-message"] [data-id="trainer_offline"]:after {
	content: attr(data-message);
}

section[data-id="trainer-message"].in_call [data-id="trainer_offline"]:after {
	content: attr(data-in_call);
    font-size: 30px;
}

section[data-id="trainer-message"] * {
	font-size: inherit;
    margin-bottom: 5px;
}

section[data-id="videos"] {
	display: none;
}

body.live section[data-id="videos"] {
	display: block;
}

body.in-call section[data-id="videos"] {
	display: block;
}

.marquee {
    -moz-animation: marquee 20s linear infinite;
    -webkit-animation: marquee 20s linear infinite;
    animation: marquee 20s linear infinite;
    width: auto;
    position: absolute;
}

.marquee-text {
    font-size: inherit;
	float: left;
/* 	width: 50%; */
	overflow: hidden;
}

.marquee-text:first-child {
    font-size: inherit;
}

.marquee-text:nth-child(2) {
    font-size: inherit;
    margin-left: 20px;
    margin-right: 20px;
}

.logo {
    width: 50%;
    height: auto;
    max-height: initial;
	margin: auto;
    margin-top: 0px;
    margin-bottom: 1em;
    display: block;
}

.text-red {
	color: #FF0000;
	font-weight: bold;
}

#header {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 225px;
    background-color: var(--color-background-body);
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);
    box-shadow: 0px 3px 6px #00000029;
}

.video-view-logo {
    position: absolute;
    width: 65vw;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
}

#video-view-logo {
	position: absolute;
	width: 100%;
/* 	max-width: 200px; */
    left: 50%;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
    z-index: 1;
}

#trainer_mode {
/* 	background-color: var(--color-background-body); */
	position: absolute;
	left: 0;
	top: 0;
	height: 100vh;
	width: 100%;
	overflow: auto;
	z-index: 3;
}

#trainer_mode #before-videos-container .text-center:first-child {
	padding-top: 150px;
}

.trainer {
	padding-top: 150px;
}

body.in-call .body-container {
	padding-top: 0px;
    padding-bottom: 0px;
    height: 100vh;
    width: 100vw;
    overflow: auto;
}

body.in-call #header {
	display: none;
}

body.in-call #btn-settings {
	display: none;
}

body.in-call #before-videos-container {
	display: none;
}

body.in-call #after-videos-container {
	display: none;
}

.text-update-green {
	color: var(--color-update-green);
}

.text-white {
	color: var(--color-white);
}

.text-center {
	text-align: center !important;
}

.text-bold {
	font-weight: bold;
}

.color-update-green {
	color: var(--color-update-green) !important;
}

.color-red {
	color: var(--color-red) !important;
}

.color-grey {
	color: var(--color-grey) !important;
}

.color-dark-grey {
	color: var(--color-dark-grey) !important;
}

.color-white {
	color: var(--color-white) !important;
}

.color-black {
	color: var(--color-black) !important;
}

.color-alert {
	color: var(--color-alert) !important;
}

.background-update-green {
	background-color: var(--color-update-green) !important;
}

.background-red {
	background-color: var(--color-red) !important;
}

.background-grey {
	background-color: var(--color-grey) !important;
}

.background-dark-grey {
	background-color: var(--color-dark-grey) !important;
}

.background-white {
	background-color: var(--color-white) !important;
}

.background-black {
	background-color: var(--color-black) !important;
}

.background-red-new {
	background-color: var(--color-text-red) !important;
}

.background-green-new {
	background-color: var(--color-text-green) !important;
}

.background-alert {
	background-color: var(--color-alert) !important;
}

.trainer-image {
	width: 25vw;
	max-width: 180px;
}

.btn-update {
    border: none;
    outline: none;
}

#waiting {
	height: 100vh;
	width: 100vw;
	display: none;
    position: absolute;
    top: 0;
/*     background-color: var(--color-black); */
	background-color: rgba(0, 0, 0, 0.75);
    z-index: 1;
}

#waiting div {
    color: var(--color-white);
    top: 50%;
    left: 50%;
    position: absolute;
    transform: translateX(-50%) translateY(-50%);
	font-size: 70px;
}

#video-background {
	height: 100vh;
	width: 100vw;
	display: none;
	position: absolute;
	top: 0;
	background-color: var(--color-black);
}

#videos-container .local {
	position: absolute;
    top: 15px;
	width: calc(20vw - 30px);
	right: 15px;
    transform: rotateY(180deg);
}

#videos-container .local video {
	position: absolute;
	width: 100%;
}

#videos-container .remote {
/* 	position: absolute; */
/*  bottom: 0; */
/* 	width: 60vw; */
/* 	height: 60vh; */
/* 	right: 0; */
    position: relative;
    width: 60vw;
/* 	width: 50vw; */
/* 	height: 50vh; */
    margin: auto;
    margin-top: 25px;
    margin-bottom: 25px;
}

#videos-container .remote video {
    filter: blur(20px);
}

#videos-container .remote:before {
	display: none;
	position: absolute;
	bottom: 15vh;
	left: 0;
	top: initial;
	right: initial;
	text-align: center;
	background-color: var(--color-background-trainer);
	padding: 5px;
/* 	content: attr(data-trainer); */
	content: attr(data-content);
	z-index: 1;
	width: 100%;
	color: var(--color-update-green);
	font-size: 70px;
}

body.with_iframe #videos-container .remote:before {
	font-size: 20px;	
}

body.with_signature #videos-container .remote:before {
	font-size: 20px;	
}

#videos-container .remote video {
/* 	position: absolute; */
/* 	bottom: 0; */
/* 	width: 100%; */
/* 	height: 100%; */
/* 	right: 0; */
    background-color: var(--color-background-bar);
	-webkit-box-shadow: 0px 3px 99px 0px rgba(0,0,0,0.16);
    -moz-box-shadow: 0px 3px 99px 0px rgba(0,0,0,0.16);
    box-shadow: 0px 3px 99px 0px rgba(0,0,0,0.16);
    max-height: 100vh;
    max-width: 100vw;
}

/* Standardcontainer wenn Trainer nicht Live */
#before-videos-container { 
    position: absolute;
    width: 100vw;
    height: 100vh;
    top: 0px;
    left: 0px;
}
/* Standardcontainer wenn Trainer Live */
#after-videos-container {
    position: absolute;
    width: 100vw;
    height: 100vh;
    top: 0px;
    left: 0px;
}

body.live #videos-container .remote {
	position: absolute;
/*	width: 60vw; */
/*	left: 30vw; */
/* 	top: 50%; */
/* 	transform: translateY(-50%); */
    margin: auto;
	width: 100vw;
	height: 100vh;
	left: 0px;
	top: 0px;
	background-color: var(--color-background-bar);
}

body.live #update-btn-call {
	position: absolute;
    bottom: 270px;
/*     left: 50%; */
/*     transform: translateX(-50%); */
    right: 60px;
    padding: 32px 35px 19px;
    font-size: 40px;
    border-radius: 50%;
    background-color: #3FCF02;
    color: white;
    box-shadow: 0px 3px 6px #00000029;
}

body.live #update-btn-call:hover {
/* 	filter: grayscale(1); */
    background-color: #3FCF02;
    color: white;
}

body.live #update-btn-call:before {
	position: absolute;
    bottom: -25%;
    content: "";
    left: 50%;
    transform: translateX(-50%);
    border-style: solid;
    border-width: 30px 20px 20px 20px;
    border-color: transparent transparent #F2F2F2 transparent;
}

body.live #update-btn-call:after {
	content: attr(data-string-tooltip);
    background-color: #F2F2F2;
    color: #2D2D2D;
    font-size: 29px;
    padding: 10px 40px;
    position: absolute;
    bottom: -70%;
/*     left: 50%; */
/*     transform: translateX(-50%); */
	right: 0px;
    border-radius: 20px;
    cursor: initial;
	box-shadow: 0px 3px 6px #00000029;
}

body #update-btn-call i {
	font-size: 70px;
}

body.in-call #videos-container .remote {
	position: absolute;
    bottom: 0;
    top: 0;
/* 	width: 100vw; */
/* 	height: 100vh; */
/*     left: 50%; */
/*     transform: translateX(-50%); */
/*     width: 60vw; */
    width: 100vw;
    top: 0px;
    left: 0px;
    background-color: var(--color-background-bar);
	-webkit-box-shadow: 0px 3px 99px 0px rgba(0,0,0,0.16);
    -moz-box-shadow: 0px 3px 99px 0px rgba(0,0,0,0.16);
    box-shadow: 0px 3px 99px 0px rgba(0,0,0,0.16);
    margin: auto;
}

body.in-call #videos-container .remote video {
	opacity: 1;
	position: absolute;
	bottom: 0;
	width: 100%;
	height: 100%;
	right: 0;
}

body.in-call  #videos-container .remote video {
    filter: none;
}

body.in-call #videos-container .remote:before {
/* 	display: none; */
	position: absolute;
	bottom: 15vh;
	left: 0;
	top: initial;
	right: initial;
	text-align: center;
	background-color: var(--color-background-trainer);
	padding: 5px;
	content: attr(data-trainer);
	z-index: 1;
	width: 100%;
}

body #videos-container .local {
	display: none;
}

body.in-call #videos-container .local {
	display: block;
}

body.in-call #video-background {
	display: block;
}

body.with_iframe #videos-container .remote {
    z-index: 3;
    width: calc(15vh * 1.77777778);
    height: 15vh;
    left: initial;
    bottom: initial;
    top: 80px;
    right: 60px;
}

body.with_signature #videos-container .remote {
    z-index: 3;
    width: calc(15vh * 1.77777778);
    height: 15vh;
    left: initial;
    bottom: initial;
    top: 80px;
    right: 60px;
}

i.rotated {
    transform: rotate(135deg);
}

#btn-settings {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 60px;
	height: 60px;
    cursor: pointer;
    background-color: transparent;
    border: none;
    outline: none;
    z-index: 999;
    display: none;
}

.btn {
	/* border: 0px;
	outline: none !important;
	cursor: none !important;
	color: var(--color-text-dark);
	background-color: var(--color-update-green);
	border: none;
	outline: none;
	border-radius: 0px;
	padding: 10px;
	box-shadow: 3px 3px 7px 0px #333333; */
    box-shadow: none !important;
    outline: none !important;
	font-size: inherit;
}

.btn-hangup-full {
	background-color: red;
	color: white;
}

[data-id="btn-not_calling"] {
	position: absolute;
    bottom: 270px;
/*     left: 50%; */
/*     transform: translateX(-50%); */
    right: 60px;
    padding: 30px 37px 20px 34px;
    font-size: 40px;
    border-radius: 50%;
    background-color: red;
    color: white;
    box-shadow: 0px 3px 6px #00000029;
}

[data-id="btn-not_calling"]:hover {
    background-color: red;
    color: white;
/* 	filter: grayscale(1); */
}

[data-id="btn-not_calling"]:before {
	position: absolute;
    bottom: -25%;
    content: "";
    left: 50%;
    transform: translateX(-50%);
    border-style: solid;
    border-width: 30px 20px 20px 20px;
    border-color: transparent transparent #F2F2F2 transparent;
}

[data-id="btn-not_calling"]:after {
	content: attr(data-string-tooltip);
    background-color: #F2F2F2;
    color: #2D2D2D;
    font-size: 29px;
    padding: 10px 40px;
    position: absolute;
    bottom: -70%;
/*     left: 50%; */
/*     transform: translateX(-50%); */
	right: 0px;
    border-radius: 20px;
    cursor: initial;
	box-shadow: 0px 3px 6px #00000029;
}

[data-id="btn-not_calling"] i {
	font-size: 70px;
}

[data-id="btn-hangup"] {
	position: absolute;
    bottom: 270px;
/*     left: 50%; */
/*     transform: translateX(-50%); */
    right: 60px;
    padding: 30px 37px 20px 34px;
    font-size: 40px;
    border-radius: 50%;
    background-color: red;
    color: white;
    box-shadow: 0px 3px 6px #00000029;
}

[data-id="btn-hangup"]:hover {
    background-color: red;
    color: white;
/* 	filter: grayscale(1); */
}

[data-id="btn-hangup"]:before {
	position: absolute;
    bottom: -25%;
    content: "";
    left: 50%;
    transform: translateX(-50%);
    border-style: solid;
    border-width: 30px 20px 20px 20px;
    border-color: transparent transparent #F2F2F2 transparent;
}

[data-id="btn-hangup"]:after {
	content: attr(data-string-tooltip);
    background-color: #F2F2F2;
    color: #2D2D2D;
    font-size: 29px;
    padding: 10px 40px;
    position: absolute;
    bottom: -70%;
/*     left: 50%; */
/*     transform: translateX(-50%); */
	right: 0px;
    border-radius: 20px;
    cursor: initial;
	box-shadow: 0px 3px 6px #00000029;
}

[data-id="btn-hangup"] i {
	font-size: 70px;
}

/** Modal **/
.close {
  float: right;
  font-size: 21px;
  font-weight: bold;
  line-height: 1;
  color: #000;
  text-shadow: 0 1px 0 #fff;
  filter: alpha(opacity=20);
  opacity: .2;
}
.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
  filter: alpha(opacity=50);
  opacity: .5;
}
button.close {
  -webkit-appearance: none;
  padding: 0;
  cursor: pointer;
  background: transparent;
  border: 0;
}

.modal-dialog {
    /* height: calc(100vh - var(--bs-modal-margin)*2); */
    height: calc(var(--vh, 1vh) * 100 - var(--bs-modal-margin)*2);
    height: -webkit-fill-available;
}
.modal-content {
    height: auto;
    min-height: 100%;
    text-align: center;
}

.modal-content * {
    font-size: 18px;
}

/* .modal-open {
  overflow: hidden;
}
.modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1050;
  display: none;
  overflow: hidden;
  -webkit-overflow-scrolling: touch;
  outline: 0;
}
.modal.fade .modal-dialog {
  -webkit-transition: -webkit-transform .3s ease-out;
       -o-transition:      -o-transform .3s ease-out;
          transition:         transform .3s ease-out;
  -webkit-transform: translate(0, -25%);
      -ms-transform: translate(0, -25%);
       -o-transform: translate(0, -25%);
          transform: translate(0, -25%);
}
.modal.in .modal-dialog {
  -webkit-transform: translate(0, 0);
      -ms-transform: translate(0, 0);
       -o-transform: translate(0, 0);
          transform: translate(0, 0);
}
.modal-open .modal {
  overflow-x: hidden;
  overflow-y: auto;
}
.modal-dialog {
  position: relative;
  width: 100%;
  height: 100%;
  margin: 10px;
}
.modal-content {
  position: relative;
  background-color: #fff;
  -webkit-background-clip: padding-box;
          background-clip: padding-box;
  border: 1px solid #999;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: 6px;
  outline: 0;
  height: auto;
  min-height: 100%;
  -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
          box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
}
.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
  background-color: #000;
}
.modal-backdrop.fade {
  filter: alpha(opacity=0);
  opacity: 0;
}
.modal-backdrop.in {
  filter: alpha(opacity=50);
  opacity: .5;
}
.modal-header {
  padding: 15px;
  border-bottom: 1px solid #e5e5e5;
}
.modal-header .close {
  margin-top: -2px;
}
.modal-title {
  margin: 0;
  line-height: 1.42857143;
}
.modal-body {
  position: relative;
  padding: 15px;
}
.modal-footer {
  padding: 15px;
  text-align: right;
  border-top: 1px solid #e5e5e5;
  overflow:auto;
}
.modal-footer .btn + .btn {
  margin-bottom: 0;
  margin-left: 5px;
}
.modal-footer .btn-group .btn + .btn {
  margin-left: -1px;
}
.modal-footer .btn-block + .btn-block {
  margin-left: 0;
} */

#version-number {
	position: fixed;
	bottom: 20px;
	right: 20px;
	font-size: 10px;
	color: #f1f1f1;
	width: 100px;
	height: 10px;
	text-align: right;
}

.welcome {
	font-size: 70px;
	font-weight: bold;
}

.trainer_offline {
	position: relative;
/* 	width: 30vw; */
/* 	height: 30vh; */
	width: 80vw;
    min-height: 150px;
    height: auto;
    margin: auto;
    margin-top: 55px;
    margin-bottom: 55px;
/* 	background-color: var(--color-black); */
	background-color: transparent;
}

.trainer_offline p {
	position: absolute;
	top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    text-align: center;
/*     color: var(--color-white); */
	color: var(--color-update-green);
	font-weight: bold;
	font-size: 70px;
	width: 100%;
}

::-webkit-scrollbar {
    width: 0px;  /* remove scrollbar space */
    background: transparent;  /* optional: just make scrollbar invisible */
}

.alertscreen {
	position: absolute;
	width: 100vw;
	height: 100vh;
	background-color: var(--color-red);
	display: none;
	z-index: 1001;
	top: 0;
	left: 0;
	visibility: visible;
	opacity: 1;
	transition: visibility 0.5s, opacity 0.5s linear;
}

.alertscreen h3 {
	position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -70%);
    color: var(--color-white);
    font-size: 100px;
    text-align: center;
}

.alertscreen button {
    position: absolute;
    bottom: 100px;
    left: 50%;
    transform: translateX(-50%);
}

.splashscreen {
	position: absolute;
	width: 100vw;
	height: 100vh;
	background-color: var(--color-background-body);
	display: block;
	z-index: 9999;
	top: 0;
	left: 0;
	visibility: visible;
	opacity: 1;
	transition: visibility 0.5s, opacity 0.5s linear;
}

.splashscreen.away {
	visibility: hidden;
	opacity: 0;
}

.splashscreen-inner {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateX(-50%) translateY(-50%);
	text-align: center;
}

.splashscreen img {
	width: auto;
	height: 18vh;
	max-height: 150px;
}

.splashscreen p {
	text-align: center;
	font-size: 40px;
}

[data-id="permission-modal"] {
	position: absolute;
	width: 100vw;
	height: 100vh;
	background-color: var(--color-background-body);
	display: block;
	z-index: 1000;
	top: 0;
	left: 0;
	visibility: visible;
	opacity: 1;
	transition: visibility 0.5s, opacity 0.5s linear;
}

[data-id="permission-modal"].away {
	visibility: hidden;
	opacity: 0;
}

.permission-icon {
    height: 50px;
}

.signature {
	width: 100vw;
	height: 100vh;
	position: absolute;
	top: 0px;
	left: 0px;
	display: none;
	background-color: var(--color-background-body);
	z-index: 2;
}

.pdf_iframe_container {
	width: 100vw;
	height: 100vh;
	position: absolute;
	top: 0px;
	left: 0px;
	display: none;
/* 	background-color: #000000; */
	background-color: #525659;
	z-index: 2;
}

body.with_signature .signature {
	display: block;
}

body.with_iframe .pdf_iframe_container {
	display: block;
}

.pdf_iframe_container iframe {
	width: 100%;
	height: calc(100% - 100px);
	border: 0px;
}

.pdf_iframe_container button {
    position: absolute;
    bottom: 25px;
    left: 50%;
    transform: translateX(-50%);
}

.news_iframe_container {
	width: 100vw;
	height: 100vh;
	position: absolute;
	top: 0px;
	left: 0px;
	display: none;
/* 	background-color: #000000; */
	background-color: #525659;
	z-index: 3;
}

.news_iframe_container iframe {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	border: 0px;
	opacity: 0;
	transition: opacity 0.3s linear;
}

body.live .news_iframe_container, body.in-call .news_iframe_container {
	display: none !important;
}

.paint-canvas-outer {
	background-color: #FFFFFF;
    width: calc(60vh * 1.77777778);
    height: 60vh;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
}

.paint-canvas {
	width: 100%;
	height: 100%;
}

.paint-canvas-tools {
    height: 100px;
/*     padding: 10px 10px 0px 10px; */
    width: 100%;
/*     margin-bottom: 10px; */
    position: absolute;
    bottom: 0px;
    left: 0px;
	background-color: #525659;
}

.paint-canvas-tools a {
/*     border: 1px solid black; */
/*     height: 30px; */
/*     line-height: 30px; */
/*     padding: 0 10px; */
/*     vertical-align: middle; */
/*     text-align: center; */
/*     text-decoration: none; */
/*     display: inline-block; */
/*     color: black; */
/*     font-weight: bold; */
/*     background-color: #CCCCCC; */
}

.paint-canvas-tools button {
	margin: 25px;
/*     border: 1px solid black; */
/*     height: 30px; */
/*     line-height: 30px; */
/*     padding: 0 10px; */
/*     vertical-align: middle; */
/*     text-align: center; */
/*     text-decoration: none; */
/*     display: inline-block; */
/*     color: black; */
/*     font-weight: bold; */
/*     background-color: #CCCCCC; */
}

.paint-canvas-tools a.square {
/*     width: 30px; */
}

.message-offline {
	display: none;
}

.offline .splashscreen {
	visibility: visible;
	opacity: 1;
}

.offline .message-offline {
	display: block;
}

.message-bad-connection {
	display: none;
}

.bad-connection .message-bad-connection {
	display: block;
}

.offline .message-bad-connection {
	display: none;
}

.bad-connection .splashscreen {
	visibility: visible;
	opacity: 1;
}

.clock-wrapper {
	display: block;
	width: 33vw;
	height: 100%; /* For at least Firefox */
	-webkit-transition-property: background-image 1000ms ease-in 700ms;
	-moz-transition-property: background-image 1000ms ease-in 700ms;
	-o-transition-property: background-image 1000ms ease-in 700ms;
	transition: background-image 1000ms ease-in 700ms;
	font-size: 5vh;
	text-align: center;
	color: #FFFFFF;
	position: absolute;
	top: 0px;
	right: 40px;
	line-height: normal;
}

.clock-wrapper * {
	font-size: inherit;
}

[data-id="clock"] {
	display: flex;
    flex-direction: row;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0px;
    align-items: center;
}

[data-id="clock"] [data-id="date"] {
	font-size: 42px;
	text-align: right;
	font-family: "Source Sans Pro";
}

[data-id="clock"] [data-id="date"] [data-id="dayname"] {
	font-weight: 300;
}

[data-id="clock"] [data-id="date"] [data-id="monthname"] {
	font-weight: 400;
}

[data-id="clock"] [data-id="time"] {
	font-size: 115px;
	margin-left: 40px;
	font-family: "Open Sans";
	font-weight: 600;
}

.entry-wrapper {
	display: table;
	width: 25vw;
	height: 100%; /* For at least Firefox */
	-webkit-transition-property: background-image 1000ms ease-in 700ms;
	-moz-transition-property: background-image 1000ms ease-in 700ms;
	-o-transition-property: background-image 1000ms ease-in 700ms;
	transition: background-image 1000ms ease-in 700ms;
	font-size: 5vh;
	text-align: center;
	color: #FFFFFF;
	position: absolute;
	top: 0px;
	left: 20px;
}

.entry-wrapper * {
	font-size: inherit;
}
 
.entry-wrapper.danger {
	color: #BB0000;
}
 
.entry-wrapper.success {
 	color: #00BB00;
}
 
.entry-wrapper.warning {
 	color: #BB8040;
}
 
.entry-icon {
 	font-size: 9vh;
}
 
.entry-text {
	padding-top: 1vh;
    padding-bottom: 1vh;
    font-size: 3vh;
    display: none;
}

[data-id="visitors_text"] {
	font-size: 50px;
	color: var(--color-white) !important;
}

.entry-wrapper-inner {
	display: table-cell;
	vertical-align: middle;
	width: 25vw;
	font-size: 90px;
}

.offline-phone {
	font-size: 70px;
}

.btn-sos {
	position: absolute;
    bottom: 270px;
    left: 60px;
    padding: 28px 16px;
    font-size: 50px;
    color: var(--color-white);
    background-color: #CF0202;
    border-color: #CF0202;
    border-radius: 50%;
	box-shadow: 0px 3px 6px #00000029;
}

.btn-sos:hover, .btn-sos:focus {
    background-color: #CF0202;
    color: var(--color-white);
	filter: grayscale(1);
}

.btn-sos:before {
	position: absolute;
    bottom: -25%;
    content: "";
    left: 50%;
    transform: translateX(-50%);
    border-style: solid;
    border-width: 30px 20px 20px 20px;
    border-color: transparent transparent #F2F2F2 transparent;
}

.btn-sos:after {
	content: attr(data-string-tooltip);
    background-color: #F2F2F2;
    color: #2D2D2D;
    font-size: 29px;
    padding: 10px 40px;
    position: absolute;
    bottom: -70%;
/*     left: 50%; */
/*     transform: translateX(-50%); */
	left: 0px;
    border-radius: 20px;
    cursor: initial;
	box-shadow: 0px 3px 6px #00000029;
}

body.in-call .btn-sos {
	display: none !important;
}

.video_stats {
	position: absolute;
	padding: 10px;
	background-color: rgba(100,100,100,0.7);
	top: 150px;
	left: 0px;
}

#html5_reader {
    position: absolute !important;
    width: 100%;
    height: 100%;
    top: 0;
    z-index: 4;
    display: none;
}

#html5_reader #qr-canvas{
    position: absolute;
    z-index: 4;
    filter: grayscale(1) contrast(200%);
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scaleX(-1) !important;
    display: none;
}

#html5_reader video {
    transform: rotateY(180deg);
}

#qr_video_container {
    position: absolute;
    z-index: 4;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0;
    display: none;
    background-color: var(--color-background-body);
}

#qr_video_container video {
    position: absolute;
    width: 100% !important;
    height: auto !important;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scaleX(-1) !important;
    display: none;
    opacity: 1 !important;
}

/* #qr_video { */
/*     position: absolute; */
/*     width: 100% !important; */
/*     height: auto !important; */
/*     top: 50%; */
/*     left: 50%; */
/*     transform: translate(-50%,-50%) scaleX(-1) !important; */
/*     display: none; */
/*     opacity: 1 !important; */
/* } */

#qr_video_overlay {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
    background: linear-gradient(to right, red 4px, transparent 4px) 0 0, linear-gradient(to right, red 4px, transparent 4px) 0 100%, linear-gradient(to left, red 4px, transparent 4px) 100% 0, linear-gradient(to left, red 4px, transparent 4px) 100% 100%, linear-gradient(to bottom, red 4px, transparent 4px) 0 0, linear-gradient(to bottom, red 4px, transparent 4px) 100% 0, linear-gradient(to top, red 4px, transparent 4px) 0 100%, linear-gradient(to top, red 4px, transparent 4px) 100% 100%;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    outline: 200vw solid rgba(0, 0, 0, 0.5);
/* 	height: 0px !important; */
/* 	width: 0px !important; */
}

#qr_canvas {
	position: absolute;
    z-index: 4;
    filter: grayscale(1) contrast(200%);
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scaleX(-1) !important;
    display: none;
}

#qr_header {
	position: absolute;
    top: 50px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 37px;
	font-weight: bold;
    color: var(--color-update-green);
    z-index: 1;
}

#qr_footer {
    position: absolute;
    bottom: 50px;
    font-size: 24px;
    width: 100%;
    text-align: center;
    color: var(--color-white);
    z-index: 1;
}

#stats {
	display: none;
}

#stats canvas {
	width: calc(80px * 3) !important;
    height: calc(48px * 3) !important;
}